#!/usr/bin/env node

// load env variables from file
require('dotenv').config();

// TODO:
// parse arguments - we should run just 1 FCA per go &
// have option to run selected company from selected NCA
const argv = require('yargs').argv;

// load helper libs etc
const Fca = require('./ncas/fca');
const Ireland = require('./ncas/ie');
const Denmark = require('./ncas/dk');
const France = require('./ncas/fr');
const Cyprus = require('./ncas/cy');
const Germany = require('./ncas/de');

async function run() {
  const fcaScraper = new Fca();

  const ieScraper = new Ireland();

  const dkScraper = new Denmark();

  const frScraper = new France();

  const cyScraper = new Cyprus();

  const deScraper = new Germany();
  // fcaScraper.run();

 // await ieScraper.run();
  /*
   await dkScraper.run();

     // dkScraper.run();

     await frScraper.run();

     await cyScraper.run();

     await deScraper.run();

       await ieScraper.run();
     */

  await frScraper.run();

  console.log('DONE!!!!');
}


run();
